### Signal

# Ide VcsMonitor::changed

#### Declaration

    void
    changed (
      IdeVcsMonitor* self,
      GioFile* file,
      GioFile* other_file,
      GFileMonitorEvent event,
      gpointer user_data
    )

#### Description

The “changed” signal is emitted when a file has been discovered to have been changed on disk.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`other_file` | `GFile`
| A `GFile` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`event` | `GFileMonitorEvent`
| A `GFileMonitorEvent`.